std::__detail::_Hashtable_ebo_helper< _Nm, _Tp, false > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

## Public Member Functions

template<typename _OtherTp >
| _Hashtable_ebo_helper (_OtherTp &&__tp)

## Static Public Member Functions

static const _Tp & | _S_cget (const _Hashtable_ebo_helper &__eboh)
static _Tp & | _S_get (_Hashtable_ebo_helper &__eboh)

## Detailed Description

template<int _Nm, typename _Tp>
struct std::__detail::_Hashtable_ebo_helper< _Nm, _Tp, false >

Specialization not using EBO.

Definition at line 1114 of file hashtable_policy.h.

## Constructor & Destructor Documentation

## _Hashtable_ebo_helper()

template<int _Nm, typename _Tp >
template<typename _OtherTp >

std::__detail::_Hashtable_ebo_helper< _Nm, _Tp, false >::_Hashtable_ebo_helper | ( | _OtherTp && | __tp | ) |

inline

Definition at line 1119 of file hashtable_policy.h.

## Member Function Documentation

## _S_cget()

template<int _Nm, typename _Tp >

static const _Tp & std::__detail::_Hashtable_ebo_helper< _Nm, _Tp, false >::_S_cget | ( | const _Hashtable_ebo_helper< _Nm, _Tp, false > & | __eboh | ) |

inline static

Definition at line 1124 of file hashtable_policy.h.

## _S_get()

template<int _Nm, typename _Tp >

static _Tp & std::__detail::_Hashtable_ebo_helper< _Nm, _Tp, false >::_S_get | ( | _Hashtable_ebo_helper< _Nm, _Tp, false > & | __eboh | ) |

inline static

Definition at line 1128 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h